Bug 1661476 - Fail to sync the csv object
Summary: Fail to sync the csv object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Evan Cordell
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-21 10:32 UTC by Jian Zhang
Modified: 2019-06-04 10:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:41:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:32 UTC

Description Jian Zhang 2018-12-21 10:32:02 UTC
Description of problem:
I changed the deployment object which defined in the csv object.
But, it did NOT recover to the defined value in the csv.

Version-Release number of selected component (if applicable):
mac:aws-ocp jianzhang$ oc exec olm-operator-86bb77db9b-r68ck -- olm -version
OLM version: 0.8.0
git commit: 61486be

How reproducible:
always

Steps to Reproduce:
1. Create a namespace called "jian" and create operatorgroup object in it.
mac:aws-ocp jianzhang$ oc get operatorgroup
NAME                  AGE
couchbase-operators   3h
mac:aws-ocp jianzhang$ oc get operatorgroup couchbase-operators -o yaml
apiVersion: operators.coreos.com/v1alpha2
kind: OperatorGroup
metadata:
  creationTimestamp: 2018-12-21T06:25:54Z
  generation: 1
  name: couchbase-operators
  namespace: jian
  resourceVersion: "203679"
  selfLink: /apis/operators.coreos.com/v1alpha2/namespaces/jian/operatorgroups/couchbase-operators
  uid: 4551d4c2-04e9-11e9-9263-0afc5690e5de
spec:
  selector: {}
status:
  lastUpdated: 2018-12-21T06:25:54Z
  namespaces:
  - ""

2. Create the couchbase-operator via the subscription.
mac:aws-ocp jianzhang$ oc get csv
NAME                        DISPLAY              VERSION   REPLACES              PHASE
couchbase-operator.v1.0.0   Couchbase Operator   1.0.0                           Succeeded

3. Modify the deployment of the couchbase-operator. Such as, add the "nodeSelector" field:
mac:aws-ocp jianzhang$ oc get deployment couchbase-operator -o yaml| grep nodeSelector -5
          timeoutSeconds: 1
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      nodeSelector:
        couchbase: "true"
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: couchbase-operator
The pod of the couchbase-operator rescheduled.

Do NOT modify its csv.
mac:aws-ocp jianzhang$ oc get csv couchbase-operator.v1.0.0 -o yaml |grep nodeSelector -5

waiting some time to sync.

Actual results:
The deployment of couchbase-operator didn't recover to the value defined in csv.

Expected results:
The deployment of operators should recover to the value defined in csv.

Additional info:
I also made modifications in the csv, but it did NOT sync these modifications to the deployment object. Unfortunately, I didn't find related log info.

Comment 1 Evan Cordell 2018-12-21 13:25:06 UTC
There are currently only three things we check for on the CSV deployment:

- deployment name
- deployment health (are the pods running / available?)
- deployment _pod_ template spec annotations (OLM writes into these fields for namespace projection and ensures they're correct)

Changing one of those three things will cause OLM to recreate the deployment.

Comment 3 Jian Zhang 2019-01-25 07:37:24 UTC
Change status to "ASSIGNED" since the old deployment&pods still exist. I think we should replace the old ones, not create the new one.

mac:ocp-25 jianzhang$ oc get deployment
NAME            DESIRED   CURRENT   UP-TO-DATE   AVAILABLE   AGE
etcd-operator   1         1         1            1           31m
mac:ocp-25 jianzhang$ oc get pods
NAME                                         READY     STATUS    RESTARTS   AGE
etcd-operator-545d8dbb75-pp8vh               3/3       Running   0          51m
installed-community-global-operators-fvps6   1/1       Running   0          52m

And then, changed the deployment name "etcd-operator" to "etcd-operator-new". As below:
mac:ocp-25 jianzhang$ oc edit csv etcdoperator.v0.9.2
clusterserviceversion.operators.coreos.com/etcdoperator.v0.9.2 edited

I think we should remove the old one. but it not did.
mac:ocp-25 jianzhang$ oc get deployment
NAME                DESIRED   CURRENT   UP-TO-DATE   AVAILABLE   AGE
etcd-operator       1         1         1            1           1h
etcd-operator-new   1         1         1            1           14m
mac:ocp-25 jianzhang$ oc get pods
NAME                                         READY     STATUS    RESTARTS   AGE
etcd-operator-545d8dbb75-pp8vh               3/3       Running   0          1h
etcd-operator-new-545d8dbb75-vr57q           3/3       Running   0          14m
installed-community-global-operators-fvps6   1/1       Running   0          1h


mac:ocp-25 jianzhang$ oc describe  csv etcdoperator.v0.9.2
Name:         etcdoperator.v0.9.2
Namespace:    openshift-operators
Labels:       <none>
Annotations:  alm-examples=[{"apiVersion":"etcd.database.coreos.com/v1beta2","kind":"EtcdCluster","metadata":{"name":"example","namespace":"default"},"spec":{"size":3,"version":"3.2.13"}},{"apiVersion":"etcd.databa...
              olm.operatorGroup=global-operators
              olm.operatorNamespace=openshift-operators
              olm.targetNamespaces=
              tectonic-visibility=ocs
API Version:  operators.coreos.com/v1alpha1
Kind:         ClusterServiceVersion
Metadata:
  Creation Timestamp:  2019-01-25T06:26:14Z
  Generation:          2
  Resource Version:    178260
  Self Link:           /apis/operators.coreos.com/v1alpha1/namespaces/openshift-operators/clusterserviceversions/etcdoperator.v0.9.2
  UID:                 1d7096f1-206a-11e9-8563-0286a153653c
Spec:
  Apiservicedefinitions:
  Customresourcedefinitions:
    Owned:
      Description:   Represents a cluster of etcd nodes.
      Display Name:  etcd Cluster
      Kind:          EtcdCluster
      Name:          etcdclusters.etcd.database.coreos.com
      Resources:
        Kind:     Service
        Name:     
        Version:  v1
        Kind:     Pod
        Name:     
        Version:  v1
      Spec Descriptors:
        Description:   The desired number of member Pods for the etcd cluster.
        Display Name:  Size
        Path:          size
        X - Descriptors:
          urn:alm:descriptor:com.tectonic.ui:podCount
        Description:   Limits describes the minimum/maximum amount of compute resources required/allowed
        Display Name:  Resource Requirements
        Path:          pod.resources
        X - Descriptors:
          urn:alm:descriptor:com.tectonic.ui:resourceRequirements
      Status Descriptors:
        Description:   The status of each of the member Pods for the etcd cluster.
        Display Name:  Member Status
        Path:          members
        X - Descriptors:
          urn:alm:descriptor:com.tectonic.ui:podStatuses
        Description:   The service at which the running etcd cluster can be accessed.
        Display Name:  Service
        Path:          serviceName
        X - Descriptors:
          urn:alm:descriptor:io.kubernetes:Service
        Description:   The current size of the etcd cluster.
        Display Name:  Cluster Size
        Path:          size
        Description:   The current version of the etcd cluster.
        Display Name:  Current Version
        Path:          currentVersion
        Description:   The target version of the etcd cluster, after upgrading.
        Display Name:  Target Version
        Path:          targetVersion
        Description:   The current status of the etcd cluster.
        Display Name:  Status
        Path:          phase
        X - Descriptors:
          urn:alm:descriptor:io.kubernetes.phase
        Description:   Explanation for the current status of the cluster.
        Display Name:  Status Details
        Path:          reason
        X - Descriptors:
          urn:alm:descriptor:io.kubernetes.phase:reason
      Version:       v1beta2
      Description:   Represents the intent to backup an etcd cluster.
      Display Name:  etcd Backup
      Kind:          EtcdBackup
      Name:          etcdbackups.etcd.database.coreos.com
      Spec Descriptors:
        Description:   Specifies the endpoints of an etcd cluster.
        Display Name:  etcd Endpoint(s)
        Path:          etcdEndpoints
        X - Descriptors:
          urn:alm:descriptor:etcd:endpoint
        Description:   The full AWS S3 path where the backup is saved.
        Display Name:  S3 Path
        Path:          s3.path
        X - Descriptors:
          urn:alm:descriptor:aws:s3:path
        Description:   The name of the secret object that stores the AWS credential and config files.
        Display Name:  AWS Secret
        Path:          s3.awsSecret
        X - Descriptors:
          urn:alm:descriptor:io.kubernetes:Secret
      Status Descriptors:
        Description:   Indicates if the backup was successful.
        Display Name:  Succeeded
        Path:          succeeded
        X - Descriptors:
          urn:alm:descriptor:text
        Description:   Indicates the reason for any backup related failures.
        Display Name:  Reason
        Path:          reason
        X - Descriptors:
          urn:alm:descriptor:io.kubernetes.phase:reason
      Version:       v1beta2
      Description:   Represents the intent to restore an etcd cluster from a backup.
      Display Name:  etcd Restore
      Kind:          EtcdRestore
      Name:          etcdrestores.etcd.database.coreos.com
      Spec Descriptors:
        Description:   References the EtcdCluster which should be restored,
        Display Name:  etcd Cluster
        Path:          etcdCluster.name
        X - Descriptors:
          urn:alm:descriptor:io.kubernetes:EtcdCluster
          urn:alm:descriptor:text
        Description:   The full AWS S3 path where the backup is saved.
        Display Name:  S3 Path
        Path:          s3.path
        X - Descriptors:
          urn:alm:descriptor:aws:s3:path
        Description:   The name of the secret object that stores the AWS credential and config files.
        Display Name:  AWS Secret
        Path:          s3.awsSecret
        X - Descriptors:
          urn:alm:descriptor:io.kubernetes:Secret
      Status Descriptors:
        Description:   Indicates if the restore was successful.
        Display Name:  Succeeded
        Path:          succeeded
        X - Descriptors:
          urn:alm:descriptor:text
        Description:   Indicates the reason for any restore related failures.
        Display Name:  Reason
        Path:          reason
        X - Descriptors:
          urn:alm:descriptor:io.kubernetes.phase:reason
      Version:  v1beta2
  Description:  etcd is a distributed key value store that provides a reliable way to store data across a cluster of machines. It’s open-source and available on GitHub. etcd gracefully handles leader elections during network partitions and will tolerate machine failure, including the leader. Your applications can read and write data into etcd.
A simple use-case is to store database connection details or feature flags within etcd as key value pairs. These values can be watched, allowing your app to reconfigure itself when they change. Advanced uses take advantage of the consistency guarantees to implement database leader elections or do distributed locking across a cluster of workers.

_The etcd Open Cloud Service is Public Alpha. The goal before Beta is to fully implement backup features._

### Reading and writing to etcd

Communicate with etcd though its command line utility `etcdctl` or with the API using the automatically generated Kubernetes Service.

[Read the complete guide to using the etcd Open Cloud Service](https://coreos.com/tectonic/docs/latest/alm/etcd-ocs.html)

### Supported Features


**High availability**


Multiple instances of etcd are networked together and secured. Individual failures or networking issues are transparently handled to keep your cluster up and running.


**Automated updates**


Rolling out a new etcd version works like all Kubernetes rolling updates. Simply declare the desired version, and the etcd service starts a safe rolling update to the new version automatically.


**Backups included**


Coming soon, the ability to schedule backups to happen on or off cluster.

  Display Name:  etcd
  Icon:
    Base 64 Data:  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
    Mediatype:     image/png
  Install:
    Spec:
      Deployments:
        Name:  etcd-operator-new
        Spec:
          Replicas:  1
          Selector:
            Match Labels:
              Name:  etcd-operator-alm-owned
          Template:
            Metadata:
              Labels:
                Name:  etcd-operator-alm-owned
              Name:    etcd-operator-alm-owned
            Spec:
              Containers:
                Command:
                  etcd-operator
                  --create-crd=false
                Env:
                  Name:  MY_POD_NAMESPACE
                  Value From:
                    Field Ref:
                      Field Path:  metadata.namespace
                  Name:            MY_POD_NAME
                  Value From:
                    Field Ref:
                      Field Path:  metadata.name
                Image:             quay.io/coreos/etcd-operator@sha256:c0301e4686c3ed4206e370b42de5a3bd2229b9fb4906cf85f3f30650424abec2
                Name:              etcd-operator
                Command:
                  etcd-backup-operator
                  --create-crd=false
                Env:
                  Name:  MY_POD_NAMESPACE
                  Value From:
                    Field Ref:
                      Field Path:  metadata.namespace
                  Name:            MY_POD_NAME
                  Value From:
                    Field Ref:
                      Field Path:  metadata.name
                Image:             quay.io/coreos/etcd-operator@sha256:c0301e4686c3ed4206e370b42de5a3bd2229b9fb4906cf85f3f30650424abec2
                Name:              etcd-backup-operator
                Command:
                  etcd-restore-operator
                  --create-crd=false
                Env:
                  Name:  MY_POD_NAMESPACE
                  Value From:
                    Field Ref:
                      Field Path:  metadata.namespace
                  Name:            MY_POD_NAME
                  Value From:
                    Field Ref:
                      Field Path:    metadata.name
                Image:               quay.io/coreos/etcd-operator@sha256:c0301e4686c3ed4206e370b42de5a3bd2229b9fb4906cf85f3f30650424abec2
                Name:                etcd-restore-operator
              Service Account Name:  etcd-operator
      Permissions:
        Rules:
          API Groups:
            etcd.database.coreos.com
          Resources:
            etcdclusters
            etcdbackups
            etcdrestores
          Verbs:
            *
          API Groups:
            
          Resources:
            pods
            services
            endpoints
            persistentvolumeclaims
            events
          Verbs:
            *
          API Groups:
            apps
          Resources:
            deployments
          Verbs:
            *
          API Groups:
            
          Resources:
            secrets
          Verbs:
            get
        Service Account Name:  etcd-operator
    Strategy:                  deployment
  Install Modes:
    Supported:  true
    Type:       OwnNamespace
    Supported:  true
    Type:       SingleNamespace
    Supported:  false
    Type:       MultiNamespace
    Supported:  true
    Type:       AllNamespaces
  Keywords:
    etcd
    key value
    database
    coreos
    open source
  Labels:
    Alm - Owner - Etcd:  etcdoperator
    Operated - By:       etcdoperator
  Links:
    Name:  Blog
    URL:   https://coreos.com/etcd
    Name:  Documentation
    URL:   https://coreos.com/operators/etcd/docs/latest/
    Name:  etcd Operator Source Code
    URL:   https://github.com/coreos/etcd-operator
  Maintainers:
    Email:   support@coreos.com
    Name:    CoreOS, Inc
  Maturity:  alpha
  Provider:
    Name:    CoreOS, Inc
  Replaces:  etcdoperator.v0.9.0
  Selector:
    Match Labels:
      Alm - Owner - Etcd:  etcdoperator
      Operated - By:       etcdoperator
  Version:                 0.9.2
Status:
  Certs Last Updated:  <nil>
  Certs Rotate At:     <nil>
  Conditions:
    Last Transition Time:  2019-01-25T06:26:14Z
    Last Update Time:      2019-01-25T06:26:14Z
    Message:               requirements not yet checked
    Phase:                 Pending
    Reason:                RequirementsUnknown
    Last Transition Time:  2019-01-25T06:26:34Z
    Last Update Time:      2019-01-25T06:26:34Z
    Message:               all requirements found, attempting install
    Phase:                 InstallReady
    Reason:                AllRequirementsMet
    Last Transition Time:  2019-01-25T06:26:46Z
    Last Update Time:      2019-01-25T06:26:46Z
    Message:               waiting for install components to report healthy
    Phase:                 Installing
    Reason:                InstallSucceeded
    Last Transition Time:  2019-01-25T06:27:00Z
    Last Update Time:      2019-01-25T06:27:00Z
    Message:               install strategy completed with no errors
    Phase:                 Succeeded
    Reason:                InstallSucceeded
    Last Transition Time:  2019-01-25T07:19:03Z
    Last Update Time:      2019-01-25T07:19:03Z
    Message:               installing: ComponentMissing: missing deployment with name=etcd-operator-new
    Phase:                 Failed
    Reason:                ComponentUnhealthy
    Last Transition Time:  2019-01-25T07:19:16Z
    Last Update Time:      2019-01-25T07:19:16Z
    Message:               installing: ComponentMissing: missing deployment with name=etcd-operator-new
    Phase:                 Pending
    Reason:                NeedsReinstall
    Last Transition Time:  2019-01-25T07:19:28Z
    Last Update Time:      2019-01-25T07:19:28Z
    Message:               all requirements found, attempting install
    Phase:                 InstallReady
    Reason:                AllRequirementsMet
    Last Transition Time:  2019-01-25T07:19:39Z
    Last Update Time:      2019-01-25T07:19:39Z
    Message:               waiting for install components to report healthy
    Phase:                 Installing
    Reason:                InstallSucceeded
    Last Transition Time:  2019-01-25T07:19:51Z
    Last Update Time:      2019-01-25T07:19:51Z
    Message:               install strategy completed with no errors
    Phase:                 Succeeded
    Reason:                InstallSucceeded
  Last Transition Time:    2019-01-25T07:19:51Z
  Last Update Time:        2019-01-25T07:19:51Z
  Message:                 install strategy completed with no errors
  Phase:                   Succeeded
  Reason:                  InstallSucceeded
  Requirement Status:
    Group:    operators.coreos.com
    Kind:     ClusterServiceVersion
    Message:  CSV missing minimum kube version specification
    Name:     etcdoperator.v0.9.2
    Status:   NotPresent
    Version:  v1alpha1
    Group:    apiextensions.k8s.io
    Kind:     CustomResourceDefinition
    Message:  CRD is present and Established condition is true
    Name:     etcdbackups.etcd.database.coreos.com
    Status:   Present
    Uuid:     1d793b85-206a-11e9-8563-0286a153653c
    Version:  v1beta1
    Group:    apiextensions.k8s.io
    Kind:     CustomResourceDefinition
    Message:  CRD is present and Established condition is true
    Name:     etcdclusters.etcd.database.coreos.com
    Status:   Present
    Uuid:     1d73ed84-206a-11e9-8563-0286a153653c
    Version:  v1beta1
    Group:    apiextensions.k8s.io
    Kind:     CustomResourceDefinition
    Message:  CRD is present and Established condition is true
    Name:     etcdrestores.etcd.database.coreos.com
    Status:   Present
    Uuid:     1d7dfd46-206a-11e9-8563-0286a153653c
    Version:  v1beta1
    Dependents:
      Group:    rbac.authorization.k8s.io
      Kind:     PolicyRule
      Message:  namespaced rule:{"verbs":["*"],"apiGroups":["etcd.database.coreos.com"],"resources":["etcdclusters","etcdbackups","etcdrestores"]}
      Status:   Satisfied
      Version:  v1beta1
      Group:    rbac.authorization.k8s.io
      Kind:     PolicyRule
      Message:  namespaced rule:{"verbs":["*"],"apiGroups":[""],"resources":["pods","services","endpoints","persistentvolumeclaims","events"]}
      Status:   Satisfied
      Version:  v1beta1
      Group:    rbac.authorization.k8s.io
      Kind:     PolicyRule
      Message:  namespaced rule:{"verbs":["*"],"apiGroups":["apps"],"resources":["deployments"]}
      Status:   Satisfied
      Version:  v1beta1
      Group:    rbac.authorization.k8s.io
      Kind:     PolicyRule
      Message:  namespaced rule:{"verbs":["get"],"apiGroups":[""],"resources":["secrets"]}
      Status:   Satisfied
      Version:  v1beta1
    Group:      
    Kind:       ServiceAccount
    Message:    
    Name:       etcd-operator
    Status:     Present
    Version:    v1
Events:
  Type    Reason               Age               From                        Message
  ----    ------               ----              ----                        -------
  Normal  RequirementsUnknown  1h                operator-lifecycle-manager  requirements not yet checked
  Normal  AllRequirementsMet   16m (x2 over 1h)  operator-lifecycle-manager  all requirements found, attempting install
  Normal  InstallSucceeded     15m (x2 over 1h)  operator-lifecycle-manager  waiting for install components to report healthy

Comment 4 Jian Zhang 2019-01-25 07:37:59 UTC
OLM version:
[jzhang@dhcp-140-18 ~]$ oc image info registry.svc.ci.openshift.org/ocp/4.0-art-latest-2019-01-24-184525@sha256:7d11b08fa707267d073ca3ccf84a72efdac671044bced9e88ee90515c64168fe|grep commit.id
               io.openshift.build.commit.id=85363e8ec624df90ce679ff26948fc8d8572bcf5

Comment 8 Jian Zhang 2019-04-22 09:55:19 UTC
LGTM, verify it.

mac:~ jianzhang$ oc get deployment
NAME            READY     UP-TO-DATE   AVAILABLE   AGE
etcd-operator   1/1       1            1           2m4s
mac:~ jianzhang$ oc get pods
NAME                            READY     STATUS    RESTARTS   AGE
etcd-operator-f6546786b-txcq4   3/3       Running   0          2m16s

Changed the deployment name "etcd-operator" to "etcd-operator-new" in csv:
mac:~ jianzhang$ oc edit csv etcdoperator.v0.9.4 
clusterserviceversion.operators.coreos.com/etcdoperator.v0.9.4 edited
mac:~ jianzhang$ oc get deployment
NAME                READY     UP-TO-DATE   AVAILABLE   AGE
etcd-operator-new   1/1       1            1           29s
mac:~ jianzhang$ oc get pods
NAME                                READY     STATUS    RESTARTS   AGE
etcd-operator-new-f6546786b-8brb8   3/3       Running   0          34s

Cluster version is 4.1.0-0.nightly-2019-04-22-005054
OLM version: io.openshift.build.commit.id=c718ec855bb26a111d66ba2ba193d30e54f7feb1

Comment 10 errata-xmlrpc 2019-06-04 10:41:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.